"use client";

import "./NewsList.scss";
import { useEffect } from "react";
import { useNews } from "./news.store";
import NewsCard from "@/Entities/NewsCard/NewsCard";

const NewsList = () => {
  const { data, getNews } = useNews();

  useEffect(() => {
    getNews();
  }, []);
  return (
    <ul className="news-list">
      {data.results.map((card) => (
        <li key={card.id}>
          <NewsCard
            id={card.id}
            image={card.image}
            title={card.title}
            description={card.description}
            date={card.created_at}
          />
        </li>
      ))}
    </ul>
  );
};

export default NewsList;
